Retrieve a transaction
curl --request GET \
--url https://app.sure.am/api/v1/transactions/{id} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/transactions/{id}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"amount": "<string>",
"amount_cents": 1,
"signed_amount_cents": 123,
"currency": "<string>",
"name": "<string>",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notes": "<string>",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"classification": "<string>",
"color": "<string>",
"icon": "<string>"
},
"merchant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"transfer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"other_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"account_type": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}Transactions
Retrieve a transaction
GET
/
api
/
v1
/
transactions
/
{id}
Retrieve a transaction
Authorizations
API key for authentication. Generate one from your account settings.
Path Parameters
Transaction ID
Response
transaction retrieved
Localized, formatted amount string (e.g. "$50.00")
Absolute amount in minor currency units (e.g. 5000 for $50.00 USD). Uses the currency's minor-unit conversion factor.
Required range:
x >= 0Signed amount in minor currency units. Positive for income, negative for expenses.
Available options:
income, expense Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I